Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Bloeck 2007 API

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: SOLIDWORKS - DFMXpress
Autor Thema:   Bloeck 2007 API (464 mal gelesen)
dwieching
Mitglied
Praktikant

Sehen Sie sich das Profil von dwieching an!   Senden Sie eine Private Message an dwieching  Schreiben Sie einen Gästebucheintrag für dwieching

Beiträge: 2
Registriert: 09.06.2006

erstellt am: 31. Mai. 2007 03:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Leute

Hat schon jemand von euch erfahrungen gemacht, mit der Programmierung
von der neuen Blockaufteilung.

Ich hab ein ehemals funktionstuechtiges Programm.
Dies bearbeitet eine Zeichnung, auf der im Drawing Sheet Linien
zu Bloecken zusammengefasst sind.
Diese Bloecke wurden frueher aufgerufen und die Skalierung geaendert. Genau genommen wurde die Linie mit ner Skalierung 0 ausgeblendet.

ich habs jetzt mal versucht mit

vBlocks = SwSketchMan.GetSketchBlockDefinitions
set swblockdef = blocks(1)
set vBlockinst = swBlockDef.Getinstances
set swBlinst = vblockinst(1)

   retval = swblinst.scale (gibt er ne 1 zurueck (sollte 1.3 sein))
   swblinst.scale = neueskalierung (Meckert Basic, will "(" haben)

Is natuerlich nur ne Zusammenfassung.

Kann mir da jemand helfen?

[Diese Nachricht wurde von dwieching am 31. Mai. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dwieching
Mitglied
Praktikant

Sehen Sie sich das Profil von dwieching an!   Senden Sie eine Private Message an dwieching  Schreiben Sie einen Gästebucheintrag für dwieching

Beiträge: 2
Registriert: 09.06.2006

erstellt am: 31. Mai. 2007 07:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Habs selbst hinbekommen, hat nur insgesamt 8 Stunden gedauert

Fuer alle dies interessiert:

Function blockausblenden(ByVal Blockname As String, ByVal aktion As String)
On Error Resume Next
'In der Vorlage sind die Linien zu Blöcken zusammengefasst.
'Das ermöglicht, daß die Linien über definierte Bezeichnungen zugänglich sind

Dim swApp                   As SldWorks.SldWorks
Dim swModel                 As SldWorks.ModelDoc2
Dim swBlockDef              As SldWorks.SketchBlockDefinition
Dim swFeat                  As SldWorks.Feature
Dim swBlinst                As SldWorks.SketchBlockInstance
Dim swSketchMan             As SldWorks.SketchManager
Dim swSketchSeg             As SldWorks.SketchSegment
Dim vblocks As Variant

Set swApp = CreateObject("sldworks.application")
Set swModel = swApp.ActiveDoc
Set swDraw = swApp.ActiveDoc

swDraw.ClearSelection2 (True)

swDraw.EditTemplate
swDraw.EditSketch

Blockname = "Block" & Blockname

Set sketchman = swDraw.SketchManager
vblocks = sketchman.GetSketchBlockDefinitions

For ii = 0 To UBound(vblocks)
   
    Set swBlockDef = vblocks(ii)
   
    vblockinst = swBlockDef.GetInstances

    Namegelesen = vblockinst(0).Name
    If Namegelesen Like Blockname & "*" Then
    For i = 0 To UBound(vblockinst)
     Set swBlinst = vblockinst(i)

        If aktion Like "UNBLN" Then
        swBlinst.Scale2 = 1
        Else
        swBlinst.Scale2 = 0.0001
        End If
       
    Next
    End If
Next


End Function

[Diese Nachricht wurde von dwieching am 31. Mai. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz